### Function

# Clutter value_set_shader_float

#### Declaration [src]

    void
    clutter_value_set_shader_float (
      GValue* value,
      gint size,
      const gfloat* floats
    )

#### Description [src]

Sets `floats` as the contents of `value`. The passed `GValue` must have been initialized using `CLUTTER_TYPE_SHADER_FLOAT`.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`.

  The data is owned by the caller of the function.

`size`

  Type: `gint`

  Number of floating point values in `floats`.

`floats`

  Type: An array of `gfloat`

  An array of floating point values.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.